Bug 112560 - Fix unused parameter warnings in JITInlines.h
Summary: Fix unused parameter warnings in JITInlines.h
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Csaba Osztrogonác
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-18 05:12 PDT by Csaba Osztrogonác
Modified: 2013-03-26 04:54 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.78 KB, patch)
2013-03-18 05:15 PDT, Csaba Osztrogonác
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2013-03-18 05:12:45 PDT
.../Source/JavaScriptCore/jit/JITInlines.h:147:48: warning: unused parameter 'insnSpace' [-Wunused-parameter]
.../Source/JavaScriptCore/jit/JITInlines.h:147:48: warning: unused parameter 'constSpace' [-Wunused-parameter]

This problem is come from the following very very old changesets:
- http://trac.webkit.org/changeset/47186/trunk/JavaScriptCore/jit/JITInlineMethods.h
- http://trac.webkit.org/changeset/83447/trunk/Source/JavaScriptCore/jit/JITInlineMethods.h

Fix is coming soon.
Comment 1 Csaba Osztrogonác 2013-03-18 05:15:31 PDT
Created attachment 193537 [details]
Patch
Comment 2 Csaba Osztrogonác 2013-03-18 05:20:26 PDT
Comment on attachment 193537 [details]
Patch

- I removed the redundant "#if defined(ASSEMBLER_HAS_CONSTANT_POOL) && ASSEMBLER_HAS_CONSTANT_POOL" 
guards, because beginUninterruptedSequence and endUninterruptedSequence are  inside this kind of guard.

- I added an "#ifndef NDEBUG" guard for endUninterruptedSequence function, because this 
function is for assertion check only and it is easiear to fix unused parameters in this way.
If I didn't use this guard, I had to use ASSERT for CPU(SH4) and ASSERT_UNUSED for !CPU(SH4).
Comment 3 Csaba Osztrogonác 2013-03-25 04:38:08 PDT
ping?
Comment 4 Gabor Loki 2013-03-26 02:46:00 PDT
Since I've done this a long time ago, I can give you an informal r+.
I guess Zoltan, Filip or Oliver can give you the final flag. ;)
Comment 5 thouraya 2013-03-26 02:52:04 PDT
Hi,

I'm not authorized to edit the attachment
I give you an r+.
 

(In reply to comment #3)
> ping?


Regards,
Thouraya.
Comment 6 Zoltan Herczeg 2013-03-26 04:20:13 PDT
Comment on attachment 193537 [details]
Patch

r=me
Comment 7 Csaba Osztrogonác 2013-03-26 04:54:30 PDT
Comment on attachment 193537 [details]
Patch

Clearing flags on attachment: 193537

Committed r146869: <http://trac.webkit.org/changeset/146869>
Comment 8 Csaba Osztrogonác 2013-03-26 04:54:35 PDT
All reviewed patches have been landed.  Closing bug.